Skip to main content
POST
/
configs
Create Flow Config
curl --request POST \
  --url https://link.emergedata.ai/configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_name": "<string>",
  "company_name": "<string>",
  "logo_url": "<string>",
  "privacy_policy_url": "<string>",
  "webhook_url": "<string>",
  "flow_version": "lm",
  "is_default": false
}
'
{
  "config_id": "cfg_30bfe2ca",
  "config_name": "default",
  "company_name": "Wonderful AI",
  "logo_url": "https://assets.emergedata.ai/logo/wonderful-ai.png",
  "privacy_policy_url": "https://wonderful.ai/privacy",
  "webhook_url": "https://api.wonderful.ai/webhooks/emerge",
  "flow_version": "emerge",
  "is_default": true,
  "preview_url": "https://link.emergedata.ai/preview/ck_live_123?flow_config=default"
}

Authorizations

Authorization
string
header
required

API token from the Control Room. Include as Authorization: Bearer <token>

Body

application/json

Request to create a new flow configuration via API.

config_name
string
required
company_name
string
required
logo_url
string
required
privacy_policy_url
string
required
webhook_url
string | null
flow_version
string
default:lm
is_default
boolean
default:false

Response

Successful Response

Response after creating a flow configuration.

config_id
string
config_name
string
company_name
string
logo_url
string
privacy_policy_url
string
webhook_url
string | null
flow_version
string
is_default
boolean
preview_url
string